<?
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------
|               Site Map Panel v1.0
|                     by Wooya
|            http://wooya.mac.aplus.pl
+----------------------------------------------------
|	     Przystosowanie do v7
|		      Milka	
+----------------------------------------------------
|    Tested with PHP-Fusion v6 and mFusion v6 (1.0)
+----------------------------------------------------*/

require_once "../../maincore.php";
require_once THEMES."templates/header.php";

//Sprawdzamy, czy wtyczka posiada plik z jzykiem, ktrym posuguje si strona.
if (file_exists(INFUSIONS."site_map/locale/".$settings['locale'].".php")) {
	//Jeeli jest, wczytujemy ten plik.
	include INFUSIONS."site_map/locale/".$settings['locale'].".php";
} else {
	// Jeeli nie ma, wczytujemy inny plik, ktry na pewno znajduje si na serwerze, w tym przypadku English.php.
	include INFUSIONS."site_map/locale/English.php";
}

opentable($locale['SM100'].": ".$settings['sitename']);

//news
$result = dbquery("SELECT * FROM ".DB_NEWS." WHERE ".groupaccess('news_visibility')." ORDER BY news_datestamp DESC");

$rows = dbrows($result);
if ($rows!=0) {
   echo "<b>".$locale['SM120']."</b>";
	echo "<p style='margin-left:20px'>";
	while ($data = dbarray($result)) {
		echo "<img src='".THEME."images/bullet.gif' alt='bullet' /> <a href='".BASEDIR."news.php?readmore=".$data['news_id']."'>".$data['news_subject']."</a> - <span class='small'>".showdate("longdate", $data['news_datestamp'])."</span><br  />";
	}
	echo "</p>";
}

//articles cats
$result = dbquery("SELECT * FROM ".DB_ARTICLE_CATS." WHERE ".groupaccess('article_cat_access')." ORDER BY article_cat_name ASC");

$rows = dbrows($result);
if ($rows!=0) {
   echo "<b>".$locale['SM121']."</b>";
	echo "<p style='margin-left:20px'>";
	while ($data = dbarray($result)) {
		$articles_count = dbcount("(*)",DB_ARTICLES,"article_cat=".$data['article_cat_id']);
		echo "<img src='".THEME."images/bullet.gif' alt='bullet' /> <a href='".BASEDIR."articles.php?cat_id=".$data['article_cat_id']."'>".$data['article_cat_name']."</a> - <span class='small'>[".$articles_count."]</span><br  />";
	}
	echo "</p>";
}
//articles
$result = dbquery("
SELECT * FROM ".DB_ARTICLES."
INNER JOIN ".DB_ARTICLE_CATS." ON article_cat_id = article_cat
WHERE ".groupaccess('article_cat_access')."
ORDER BY article_datestamp DESC");

$rows = dbrows($result);
if ($rows!=0) {
   echo "<b>".$locale['SM122']."</b>";
	echo "<p style='margin-left:20px'>";
	while ($data = dbarray($result)) {
		echo "<img src='".THEME."images/bullet.gif' alt='bullet' /> <a href='".BASEDIR."readarticle.php?article_id=".$data['article_id']."'>".$data['article_subject']."</a> - <span class='small'>".showdate("longdate", $data['article_datestamp'])."</span><br  />";
	}
	echo "</p>";
}

//custom pages
$result = dbquery("SELECT * FROM ".DB_CUSTOM_PAGES." WHERE ".groupaccess('page_access')." ORDER BY page_title ASC");

$rows = dbrows($result);
if ($rows!=0) {
   echo "<b>".$locale['SM123']."</b>";
	echo "<p style='margin-left:20px'>";
	while ($data = dbarray($result)) {
		echo "<img src='".THEME."images/bullet.gif' alt='bullet' /> <a href='".BASEDIR."viewpage.php?page_id=".$data['page_id']."'>".$data['page_title']."</a><br  />";
	}
	echo "</p>";
}
//faq cats
$result = dbquery("SELECT * FROM ".DB_FAQ_CATS." ORDER BY faq_cat_name ASC");

$rows = dbrows($result);
if ($rows!=0) {
   echo "<b>".$locale['SM124']."</b>";
	echo "<p style='margin-left:20px'>";
	while ($data = dbarray($result)) {
      $res = dbarray(dbquery("
      SELECT Count(*) AS num FROM ".DB_FAQS." ff
      INNER JOIN ".DB_FAQ_CATS." fc ON fc.faq_cat_id = ff.faq_cat_id
      WHERE ff.faq_cat_id='".$data['faq_cat_id']."'"));
      $faqcats_count = $res['num'];
		echo "<img src='".THEME."images/bullet.gif' alt='bullet' /> <a href='".BASEDIR."faq.php?cat_id=".$data['faq_cat_id']."'>".$data['faq_cat_name']."</a> - <span class='small'>[".$faqcats_count."]</span><br  />";
	}
	echo "</p>";
}
//faqs
$result = dbquery("
SELECT * FROM ".DB_FAQS."");
$rows = dbrows($result);
if ($rows!=0) {
   echo "<b>".$locale['SM125']."</b>";
	echo "<p style='margin-left:20px'>";
	while ($data = dbarray($result)) {
		echo "<img src='".THEME."images/bullet.gif' alt='bullet' /> <a href='".BASEDIR."faq.php?cat_id=".$data['faq_cat_id']."'>".$data['faq_question']."</a><br  />";
	}
	echo "</p>";
}
//downloads categories
$result = dbquery("SELECT * FROM ".DB_DOWNLOAD_CATS." WHERE ".groupaccess('download_cat_access')." ORDER BY download_cat_name ASC");

$rows = dbrows($result);
if ($rows!=0) {
   echo "<b>".$locale['SM126']."</b>";
	echo "<p style='margin-left:20px'>";
	while ($data = dbarray($result)) {
		$downloads_count = dbcount("(*)", DB_DOWNLOADS, "download_cat=".$data['download_cat_id']);
		echo "<img src='".THEME."images/bullet.gif' alt='bullet' /> <a href='".BASEDIR."downloads.php?cat_id=".$data['download_cat_id']."'>".$data['download_cat_name']."</a> - <span class='small'>[".$downloads_count."]</span><br  />";
	}
	echo "</p>";
}
//downloads files
$result = dbquery("
SELECT * FROM ".DB_DOWNLOADS."
INNER JOIN ".DB_DOWNLOAD_CATS." ON download_cat_id = download_cat
WHERE ".groupaccess('download_cat_access')." ORDER BY download_title ASC
");
$rows = dbrows($result);
if ($rows!=0) {
   echo "<b>".$locale['SM127']."</b>";
	echo "<p style='margin-left:20px'>";
	while ($data = dbarray($result)) {
		echo "<img src='".THEME."images/bullet.gif' alt='bullet' /> <a href='".BASEDIR."downloads.php?cat_id=".$data['download_cat']."&download_id=".$data['download_id']."'>".$data['download_title']."</a> - <span class='small'>[".$locale['SM140'].": ".$data['download_count']."]</span><br  />";
	}
	echo "</p>";
}
//weblinks cats
$result = dbquery("SELECT * FROM ".DB_WEBLINK_CATS." WHERE ".groupaccess('weblink_cat_access')." ORDER BY weblink_cat_name ASC");

$rows = dbrows($result);
if ($rows!=0) {
   echo "<b>".$locale['SM128']."</b>";
	echo "<p style='margin-left:20px'>";
	while ($data = dbarray($result)) {
		$weblinks_count = dbcount("(*)",DB_WEBLINKS,"weblink_cat=".$data['weblink_cat_id']);
		echo "<img src='".THEME."images/bullet.gif' alt='bullet' /> <a href='".BASEDIR."weblinks.php?cat_id=".$data['weblink_cat_id']."'>".$data['weblink_cat_name']."</a> - <span class='small'>[".$weblinks_count."]</span><br  />";
	}
	echo "</p>";
}
//weblinks
$result = dbquery("
SELECT * FROM ".DB_WEBLINKS."
INNER JOIN ".DB_WEBLINK_CATS." ON weblink_cat_id=weblink_cat
WHERE ".groupaccess('weblink_cat_access')." ORDER BY weblink_name ASC
");
$rows = dbrows($result);
if ($rows!=0) {
   echo "<b>".$locale['SM129']."</b>";
	echo "<p style='margin-left:20px'>";
	while ($data = dbarray($result)) {
		echo "<img src='".THEME."images/bullet.gif' alt='bullet' /> <a href='".BASEDIR."weblinks.php?cat_id=".$data['weblink_cat_id']."&weblink_id=".$data['weblink_id']."'>".$data['weblink_name']."</a> - <span class='small'>[".$locale['SM141'].": ".$data['weblink_count']."]</span><br  />";
	}
	echo "</p>";
}
//forums cats
$result = dbquery("SELECT * FROM ".DB_FORUMS." WHERE ".groupaccess('forum_access')." AND forum_cat=0 ORDER BY forum_order ASC");

$rows = dbrows($result);
if ($rows!=0) {
   echo "<b>".$locale['SM130']."</b>";
	echo "<p style='margin-left:20px'>";
	while ($data = dbarray($result)) {
		$forums_count = dbcount("(*)", DB_FORUMS, "forum_cat='".$data['forum_id']."'");
		echo "<img src='".THEME."images/bullet.gif' alt='bullet' /> ".$data['forum_name']." - <span class='small'>[".$locale['SM142'].": ".$forums_count."]</span><br  />";
	}
	echo "</p>";
}
//forums
$result = dbquery("SELECT * FROM ".DB_FORUMS." WHERE ".groupaccess('forum_access')." AND forum_cat!=0 ORDER BY forum_order ASC");

$rows = dbrows($result);
if ($rows!=0) {
   echo "<b>".$locale['SM131']."</b>";
	echo "<p style='margin-left:20px'>";
	while ($data = dbarray($result)) {
		$threads_count = dbcount("(*)", DB_THREADS, "forum_id='".$data['forum_id']."'");
		echo "<img src='".THEME."images/bullet.gif' alt='bullet' /> <a href='".BASEDIR."forum/viewforum.php?forum_id=".$data['forum_id']."'>".$data['forum_name']."</a> - <span class='small'>[".$locale['SM143'].": ".$threads_count."]</span><br  />";
	}
	echo "</p>";
}
//polls
$result = dbquery("SELECT * FROM ".DB_POLLS." ORDER BY poll_started DESC");

$rows = dbrows($result);
if ($rows!=0) {
   echo "<b>".$locale['SM132']."</b>";
	echo "<p style='margin-left:20px'>";
	while ($data = dbarray($result)) {
		$polls_count = dbcount("(*)",DB_POLL_VOTES,"poll_id=".$data['poll_id']);
		echo "<img src='".THEME."images/bullet.gif' alt='bullet' /> ".$data['poll_title']." - <span class='small'>[".$locale['SM144'].": ".$polls_count."]</span><br  />";
	}
	echo "</p>";
}
closetable();

require_once THEMES."templates/footer.php";
?>